<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!--
Copyright &copy; 2007, 2009 Oracle and/or its affiliates. All rights reserved.
 -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<link rel="StyleSheet" href="/org/netbeans/modules/usersguide/ide.css" 
type="text/css">
<title>New C/C++ Project With Existing Sources Wizard: Build Actions</title>
</head>
<body>
<h2>New C/C++ Project With Existing Sources Wizard: Build Actions</h2>
<p><small><a href="#seealso">See Also</a>&nbsp; </small>
<p>The New C/C++ Project With Existing Sources wizard enables you to create a project using an existing makefile.</p>
<p>In the Build Actions page, the wizard automatically fills in 
the following fields for you:
<ul>
<li><b>Working Directory.</b> Specifies the directory where you want the IDE to 
execute the <tt>make</tt> and <tt>clean</tt> commands.
</li>
<li><b>Build Command.</b> Specifies the <tt>make</tt> command for the project.
</li>
<li><b>Clean Command.</b> Specifies the <tt>make clean</tt> command for the project.
</li>
</ul>
<p>You can specify:
<ul>
<li>
<b>Build Result.</b> Specifies the path to the output (executable or library) generated by 
the existing makefile or configuration script.
</li>
</ul>
<table>
<tr>
<th colspan="2" align="left"><a name="seealso">See also</a></th>
</tr>
<tr>
<td width="23"></td>
<td>
<a href="NewMakeWizardP0.html">New C/C++ Project With Existing Sources Wizard: Select Mode</a><br>
<a href="NewMakeWizardP1.html">New C/C++ Project With Existing Sources Wizard: Build Tool</a><br>
<a href="NewMakeWizardP3.html">New C/C++ Project With Existing Sources Wizard: Source Files</a><br>
<a href="NewMakeWizardP4.html">New C/C++ Project With Existing Sources Wizard: Code Assistance</a><br>
<a href="NewMakeWizardP5.html">New C/C++ Project With Existing Sources Wizard: Name and Location</a><br>
<a href="CreatingCorC++Project.html">Creating a C or C++ Project</a><br>
<a href="AboutCandC++Projects.html">About C and C++ Projects</a>
</td>
</tr>
</table>
<hr>
<small>
<a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="20">
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
